SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000647SiT!inbound emailpublic2009-04-16 16:012009-08-16 14:39
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000647: Attachment can be stored in wrong place
DescriptionIf an email comes in with and attachment and an incident number in the subject eg.

[600] - My Incident

The attachment is stored in:

/var/www/sit/attachments-cf2bed99e062eb2e5ed4a62c25735ac8/600/myfile.jpg

but in this case incident number 600 does not exist, perhaps 500 is the latest incident number created.
Additional InformationWe need to check whether the incident exists before creating the incident directory for storing the email. It could be an email for a new incident that just happens to have a number in square brackets.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001155)
paulh (administrator)
2009-05-30 17:40

Confirmed this is a potential problem, we extract any number between 1 and 5 characters in [], need to check that

a) The number is a valid incident
b) The incident is still open
User avatar (0001156)
paulh (administrator)
2009-05-30 18:51

trunk r5432 resolves
User avatar (0001647)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-04-16 16:01 ivan New Issue
2009-05-30 17:40 paulh Note Added: 0001155
2009-05-30 17:40 paulh Status new => confirmed
2009-05-30 18:45 paulh Status confirmed => assigned
2009-05-30 18:45 paulh Assigned To => paulh
2009-05-30 18:51 paulh Note Added: 0001156
2009-05-30 18:51 paulh Status assigned => resolved
2009-05-30 18:51 paulh Resolution open => fixed
2009-05-30 18:51 paulh Fixed in Version => Current SVN
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001647
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker